##_JIG BOARD 관련 

UNIT = 0x1
END_VALUE = 0x00

# FOR WRITE 
CALIBRATION_AGING = 0x00
JIG_CALIBRATION = 0x00
JIG_FAULT = 0x02

JIG_IR_OFFSET = 0x01
JIG_V_BAT_OFFSET = 0x02
JIG_5V_OFFSET = 0x03
JIG_33V_OFFSET = 0x04
JIG_18V_OFFSET = 0x05
JIG_6V_OFFSET = 0x06
JIG_CHARGING_CURRENT_TARGET1_OFFSET = 0x07
JIG_DC_CURRENT_OFFSET = 0x08
JIG_CHARGING_CURRENT_TARGET2_OFFSET = 0x09
JIG_BIAS_25V_OFFSET = 0x0A
JIG_BIAS_165V_OFFSET = 0x0B
JIG_CHARGING_CURRENT_TARGET3_OFFSET = 0x0C
JIG_IR_GAIN = 0x0D
JIG_V_BAT_GAIN = 0x0E
JIG_5V_GAIN = 0x0F
JIG_33V_GAIN = 0x10
JIG_18V_GAIN = 0x11
JIG_6V_GAIN = 0x12
JIG_CHARGING_CURRENT_TARGET1_GAIN = 0x13
JIG_DC_CURRENT_GAIN = 0x14
JIG_CHARGING_CURRENT_TARGET2_GAIN = 0x15
JIG_BIAS_25V_GAIN = 0x16
JIG_BIAS_165V_GAIN = 0x17
JIG_CHARGING_CURRENT_TARGET3_GAIN = 0x18

TARGET1_AGING_VOLTAGE = 0x62
TARGET2_AGING_VOLTAGE = 0x63
TARGET3_AGING_VOLTAGE = 0x64

# FOR READ

TARGET1_FAULT = 0x04
TARGET1_POWER = 0x05
TARGET1_VOLTAGE = 0x06
TARGET1_DC_CURRENT = 0x07
TARGET1_RESONANT_CURRENT = 0x08
TARGET1_BATTERY_VOLTAGE = 0x09
TARGET1_CHARGING_CURRENT = 0x0A
TARGET1_PHASE = 0x0B
TARGET1_VERSION = 0x0C
TARGET1_OTP1 = 0x0D
TARGET1_OTP2 = 0x0E
TARGET1_UNIQUE_ID_LSW = 0x0F
TARGET1_UNIQUE_ID_MSW = 0x10
AUTO_CALIBRATION_STEP1 =0x12
AUTO_AGING_STEP1 =0x13

REPORT_CALI_IR_OFFSET = 0x14
REPORT_CALI_IR_GAIN = 0x15
REPORT_CALI_IDC_OFFSET = 0x16
REPORT_CALI_IDC_GAIN = 0x17
REPORT_CALI_VBAT_GAIN = 0x18
REPORT_CALI_CHARGING_CURRENT_OFFSET = 0x19
REPORT_CALI_CHARGING_CURRENT_GAIN = 0x1a

JIG_RESONANT_CURRENT_TARGET1 = 0x3d
JIG_BATTERY_VOLTAGE_TARGET1 = 0x3e
JIG_5V_TARGET1 = 0x3f
JIG_33V_TARGET1 = 0x40
JIG_18V_TARGET1 = 0x41
JIG_6V_TARGET1 = 0x42
JIG_DC_CURRENT__TARGET1 = 0x43
JIG_CHARGING_CURRENT_TARGET1 = 0x44
JIG_CHARGING_CURRENT_TARGET2 = 0x45
JIG_CHARGING_CURRENT_TARGET3 = 0x46
JIG_BIAS_25V = 0x47
JIG_BIAS_165V = 0x48

JIG_SETTING_IR_OFFSET = 0x49

# 2nd Mod
TARGET2_FAULT = 0x1c
TARGET2_POWER = 0x1d
TARGET2_VOLTAGE = 0x1e
TARGET2_DC_CURRENT = 0x1f
TARGET2_RESONANT_CURRENT = 0x20
TARGET2_BATTERY_VOLTAGE = 0x21
TARGET2_CHARGING_CURRENT = 0x22
TARGET2_PHASE = 0x23
TARGET2_VERSION = 0x24
TARGET2_OTP1 = 0x25
TARGET2_OTP2 = 0x26
TARGET2_UNIQUE_ID_LSW = 0x27
TARGET2_UNIQUE_ID_MSW = 0x28
AUTO_CALIBRATION_STEP1 =0x29
AUTO_AGING_STEP2 =0x2a

# 3rd Mod
TARGET3_FAULT = 0x2d
TARGET3_POWER = 0x2e
TARGET3_VOLTAGE = 0x2f
TARGET3_DC_CURRENT = 0x30
TARGET3_RESONANT_CURRENT = 0x31
TARGET3_BATTERY_VOLTAGE = 0x32
TARGET3_CHARGING_CURRENT = 0x33
TARGET3_PHASE = 0x34
TARGET3_VERSION = 0x35
TARGET3_OTP1 = 0x36
TARGET3_OTP2 = 0x37
TARGET3_UNIQUE_ID_LSW = 0x38
TARGET3_UNIQUE_ID_MSW = 0x39
AUTO_CALIBRATION_STEP1 =0x3a
AUTO_AGING_STEP3 =0x3b
